<script lang="ts" setup>
  const props = defineProps<{
    controller: ReturnType<typeof useModal>;
  }>();

  const leftSidebarController = useLeftSidebar();
  const rightSidebarController = useRightSidebar();
  const { end } = useAppointment();

  const ending = ref(false);

  const endPresentation = async () => {
    try {
      ending.value = true;

      await end();
      // close all sidebar & modal
      props.controller.close();
      leftSidebarController.close();
      rightSidebarController.close();
    } finally {
      ending.value = false;
    }
  };
</script>

<template>
  <SwModal :controller="controller">
    <template #body>
      <p class="text-information-dark text-lg font-bold">
        {{ $t('presentation.guideTool.endPresentation') }}
      </p>
      <p class="text-information mt-2 text-sm">
        {{ $t('presentation.guideTool.endPresentationConfirmation') }}
      </p>
    </template>
    <template #footer>
      <SwButton variant="action" @click="controller.close">{{ $t('cancel') }}</SwButton>
      <SwButton variant="danger" :loading="ending" @click="endPresentation">{{
        $t('end')
      }}</SwButton>
    </template>
  </SwModal>
</template>
